<script lang="ts">
	import { ArrowLeftIcon, ArrowRightIcon } from 'svelte-feather-icons';
	import { fade } from 'svelte/transition';
	import { store_screenWidth } from '../../../../utils/store';
	import { smallScreen } from '../../../../utils/const';

	export let index: number;
	export let show: number;
	export let scrollLeft: number;
	export let clientWidth: number;
	export let scrollWidth: number;
</script>

<!-- {#if show === index} -->
<!-- {#if $store_screenWidth > smallScreen} -->
{#if scrollLeft > 0}
	<button
		transition:fade
		id="button-left"
		class="absolute top-0 left-0 h-full w-1/12 bg-black bg-opacity-60 rounded-r-lg flex justify-center items-center px-2"
		on:click={() => {
			document.getElementById('type-' + index)?.scrollTo({
				left: document.getElementById('type-' + index)?.scrollLeft - 600,
				behavior: 'smooth'
			});
		}}
	>
		<ArrowLeftIcon />
	</button>
{/if}

{#if scrollLeft + clientWidth < scrollWidth}
	<button
		transition:fade
		id="button-right"
		class="absolute top-0 right-0 h-full w-1/12 bg-black bg-opacity-60 rounded-l-lg flex justify-center items-center px-2"
		on:click={() => {
			document.getElementById('type-' + index)?.scrollTo({
				left: document.getElementById('type-' + index)?.scrollLeft + 600,
				behavior: 'smooth'
			});
		}}
	>
		<ArrowRightIcon />
	</button>
{/if}
<!-- {/if} -->
<!-- {/if} -->
